Skip to main content
POST
Error
Deploy a “ready” release to an environment.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

UUID v7; must be in the key/token's projectIds.

Body

application/json
releaseId
string
required

The ready release to deploy.

Minimum string length: 1
environment
enum<string>
required
Available options:
dev,
staging,
production
bypassQualificationGate
boolean

Requires scope cicd.gate.bypass.

bypassReason
string

Required audit reason when bypassing.

Response

Deploy started

success
boolean
required
deploymentId
string
required

Id of the (new) deployment this action created.

jobId
string
required

cicd-deploy-<deploymentId>.

statusUrl
string
jobStatusUrl
string